kdelibs4support-devel-5.43.0-1.1.i586.rpm


Advertisement

Description

kdelibs4support-devel - Code and utilities to ease the transition to KDE Frameworks 5

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package name kdelibs4support-devel
Package version 5.43.0
Package release 1.1
Package architecture i586
Package type rpm
Installed size 1.61 MB
Download size 451.42 KB
Official Mirror widehat.opensuse.org
This package includes CMake macros and C++
classes whose functionality has been replaced by code in CMake, Qt and
other frameworks.
Code should aim to port away from this framework eventually.  The API
documentation of the classes in this framework and the notes at
<http://community.kde.org/Frameworks/Porting_Notes> should help with
this.
Note that some of the classes in this framework, especially
KStandardDirs, may not work correctly unless any libraries and other
software using the KDE4 Support framework are installed to the same
location as KDELibs4Support, although it may be sufficient to set the
KDEDIRS environment variable correctly. Development files.

Alternatives

Package Version Architecture Repository
kdelibs4support-devel-5.53.0-184.1.i586.rpm 5.53.0 i586 KDE Frameworks 5
kdelibs4support-devel-5.53.0-184.1.x86_64.rpm 5.53.0 x86_64 KDE Frameworks 5
kdelibs4support-devel-5.51.0git.20181209T110247~5cd21038-12.1.i586.rpm 5.51.0git.20181209T110247~5cd21038 i586 KDE Frameworks Unstable
kdelibs4support-devel-5.51.0git.20181209T110247~5cd21038-12.1.x86_64.rpm 5.51.0git.20181209T110247~5cd21038 x86_64 KDE Frameworks Unstable
kdelibs4support-devel-5.43.0-1.1.x86_64.rpm 5.43.0 x86_64 openSUSE Oss
kdelibs4support-devel - - -

Requires

Name Value
cmake(Qt5Core) >= 5.6.0
cmake(Qt5DBus) >= 5.6.0
cmake(Qt5PrintSupport) >= 5.6.0
cmake(Qt5Xml) >= 5.6.0
extra-cmake-modules -
karchive-devel >= 5.43.0.
kauth-devel >= 5.43.0.
kconfigwidgets-devel >= 5.43.0.
kcoreaddons-devel >= 5.43.0.
kcrash-devel >= 5.43.0.
kdbusaddons-devel >= 5.43.0.
kdelibs4support = 5.43.0
kdesignerplugin-devel >= 5.43.0.
kdoctools-devel >= 5.43.0.
kemoticons-devel >= 5.43.0.
kguiaddons-devel >= 5.43.0.
kiconthemes-devel >= 5.43.0.
kinit-devel >= 5.43.0.
kitemmodels-devel >= 5.43.0.
knotifications-devel >= 5.43.0.
kparts-devel >= 5.43.0.
ktextwidgets-devel >= 5.43.0.
kunitconversion-devel >= 5.43.0.
kwindowsystem-devel >= 5.43.0.
libKF5KDELibs4Support5 = 5.43.0
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

Provides

Name Value
cmake(KF5KDE4Support) = 5.43.0
cmake(KF5KDELibs4Support) = 5.43.0
kde4support-devel = 5.43.0
kdelibs4support-devel = 5.43.0-1.1
kdelibs4support-devel(x86-32) = 5.43.0-1.1

Obsoletes

Name Value
kde4support-devel < 5.43.0

Download

Type URL
Binary Package kdelibs4support-devel-5.43.0-1.1.i586.rpm
Source Package kdelibs4support-5.43.0-1.1.src.rpm

Install Howto

Install kdelibs4support-devel rpm package:

# zypper install kdelibs4support-devel

See Also

Package Description
kdelibs4support-lang-5.43.0-1.1.noarch.rpm Translations for package kdelibs4support
kdenetwork4-filesharing-17.12.2-1.1.i586.rpm KDE Network Libraries
kdenetwork4-filesharing-17.12.2-1.1.x86_64.rpm KDE Network Libraries
kdenetwork4-filesharing-lang-17.12.2-1.1.noarch.rpm Translations for package kdenetwork4-filesharing
kdenlive-17.12.2-1.1.i586.rpm Non-linear video editor
kdenlive-17.12.2-1.1.x86_64.rpm Non-linear video editor
kdenlive-lang-17.12.2-1.1.noarch.rpm Translations for package kdenlive
kdepim-addons-17.12.2-1.1.i586.rpm Addons for KDEPIM applications
kdepim-addons-17.12.2-1.1.x86_64.rpm Addons for KDEPIM applications
kdepim-addons-lang-17.12.2-1.1.noarch.rpm Translations for package kdepim-addons
kdepim-apps-libs-17.12.2-1.1.i586.rpm Base package of kdepim
kdepim-apps-libs-17.12.2-1.1.x86_64.rpm Base package of kdepim
kdepim-apps-libs-devel-17.12.2-1.1.i586.rpm Mail related libraries
kdepim-apps-libs-devel-17.12.2-1.1.x86_64.rpm Mail related libraries
kdepim-apps-libs-lang-17.12.2-1.1.noarch.rpm Translations for package kdepim-apps-libs
Advertisement
Advertisement